# $Revision: 1.27 $, $Date: 2004/11/02 10:52:04 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	Boulder - an API for hierarchical tag/value structures
Summary(pl):	Boulder - API dla hierarchicznych struktur znacznik/warto
Name:		perl-Boulder
Version:	1.30
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Boulder/Boulder-%{version}.tar.gz
# Source0-md5:	87b37e890c959d4ab567614263d64953
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-DB_File
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Boulder provides a simple stream-oriented format for transmitting data
objects between one or more processes.  It does not provide for the
serialization of Perl objects the way FreezeThaw or Data::Dumper do,
but it does provide the advantage of being language independent.

%description -l pl
Boulder udostpnia prosty strumieniowy format do transmisji danych
obiektowych pomidzy jednym lub wieloma procesami. Nie zapewnia on
serializacji obiektw Perla w taki sposb, jak czyni to FreezeThaw
lub Data::Dumper, lecz jego zalet jest niezaleno od jzyka.

%prep
%setup -q -n Boulder-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/Stone.pm
%{perl_vendorlib}/Stone
%dir %{perl_vendorlib}/Boulder
%{perl_vendorlib}/Boulder/[^L]*
# Labbase.pm is incomplete and unusable in version 1.27
#%%{perl_vendorlib}/Boulder/L*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Boulder.spec,v $
Revision 1.27  2004/11/02 10:52:04  adamg
- get rid of pod documentation
- release 4

Revision 1.26  2004/05/07 01:09:16  ankry
- rel. 3

Revision 1.25  2004/05/06 18:09:17  ankry
- fixed perl-devel BR

Revision 1.24  2004/04/26 13:39:09  ankry
- added tests

Revision 1.23  2004/04/17 15:07:40  ankry
- license/summary/description fixes

Revision 1.22  2003/09/09 10:24:27  ankry
- spaces -> tab

Revision 1.21  2003/08/18 08:08:29  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.20  2003/05/28 13:00:26  malekith
- massive attack: source-md5

Revision 1.19  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.17  2003/03/01 18:04:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.16  2003/02/28 10:08:10  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.15  2003/02/25 00:36:49  radek
- use the __perl macro

Revision 1.14  2003/02/18 15:26:52  ankry
- massive attack: change CPAN URLs

Revision 1.13  2003/01/07 13:10:10  mis
- autoupdated to 1.30

Revision 1.12  2002/11/20 11:37:20  mis
- autoupdated to 1.29

Revision 1.11  2002/07/15 00:59:33  ankry
- remove Labbase.pm from %%files: it is unfinished
- release 2

Revision 1.10  2002/07/11 10:51:18  qboosh
- new %%doc and cosmetics

Revision 1.9  2002/07/11 07:57:04  depesz
- new version; should work; STBR

Revision 1.8  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.7  2002/03/03 21:35:12  marcus
- rel.2.

Revision 1.6  2002/02/22 23:29:25  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/10 15:24:04  depesz
adapterized

Revision 1.4  2002/02/09 12:59:37  depesz
- unfied source path

Revision 1.3  2002/01/18 02:14:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/10/26 22:17:17  misiek
- include Stone dir

Revision 1.1  2001/10/26 22:08:16  misiek
- initial pld release
